Search Mailing List Archives


Limit search to: Subject & Body Subject Author
Sort by: Reverse Sort
Limit to: All This Week Last Week This Month Last Month
Select Date Range     through    

[protege-owl] Difficulty with OWLViz on Mac

Thomas Russ tar at ISI.EDU
Mon Mar 23 11:32:23 PDT 2009


On Mar 22, 2009, at 5:00 PM, Itsme (Sophie) wrote:

> Using the latest 4-beta of protege, OSX 10.5.6.
>
> I installed the latest graphviz, started protege, set preferences  
> correctly
> so Dot Application PAth is:
> /Applications/Graphviz.app/Contents/MacOS/dot
>
> But when I click on the OWLViz tab, I get:
>  A DOT errot has occurred, probably because OWLViz could not find  
> the DOT
> application.
>
> What should I try?

I've had success installing GraphViz using the macports system. (<http://www.macports.org 
 >)
It gets installed in /opt/local/bin/dot
I apparently have version 2.16.1 from Feb. 16, 2008.

I recently read that there is apparently some incompatibility with the  
latest version of GraphViz.

In any case, when I run my version, I can get this to appear.

 > /opt/local/bin/dot -version

Activated plugin library: libgvplugin_pango.5.dylib
Using textlayout: textlayout:cairo
Activated plugin library: libgvplugin_dot_layout.5.dylib
Using layout: dot:dot_layout
Activated plugin library: libgvplugin_core.5.dylib
Using render: dot:core
Using device: dot:dot:core
The plugin configuration file:
	/opt/local/lib/graphviz/config
		was successfully loaded.
     render	:  cairo dot fig gd map ps svg vml vrml xdot
     layout	:  circo dot fdp neato nop nop1 nop2 twopi
     textlayout	:  textlayout
     device	:  canon cmap cmapx cmapx_np dia dot fig gd gd2 gif hpgl  
imap imap_np ismap jpe jpeg jpg mif mp pcl pdf pic plain plain-ext png  
ps ps2 svg svgz vml vmlz vrml vtx wbmp xdot xlib
     loadimage	:  (lib) gd gd2 gif jpe jpeg jpg png ps





More information about the protege-owl mailing list